
Infrastructure - Task #3772

Story # 3770 (Closed): member nodes want to be able to use libclient without having to rely on maven

determine how to automatically deploy the archives to releases.dataone.org

2013-05-17 21:11 - Rob Nahf

Status: Closed Start date: 2013-05-17

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: 2013.22-Block.3.3   

Milestone: None Story Points:  

Product Version: *   

Description

would probably only be run for tags,  not on svn branch versions or trunk - those could be generated manually if needed for testing

History

#1 - 2013-05-21 17:41 - Rob Nahf

- % Done changed from 0 to 30

- Status changed from New to In Progress

tacked the assembly:single goal onto Hudson d1_libclient_java_stable and _stage jobs.

That at least gets them created.  

Hudson has a way to archive any artifacts we wish, that would be available through Hudson web site, but I'm not sure there's a way to put them up on

releases.dataone.org.

#2 - 2013-05-21 18:20 - Rob Nahf

the current deploy artifacts we use to post the jar file also deploys the archives (tar.gz, zip) along with checksums.  Is that good enough?

http://dev-testing.dataone.org/maven/org/dataone/d1_libclient_java/1.3.0-SNAPSHOT/

#3 - 2013-05-21 18:21 - Rob Nahf

- Status changed from In Progress to Testing

- % Done changed from 30 to 70

#4 - 2013-05-23 18:16 - Rob Nahf

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0

- % Done changed from 70 to 100

decided to manually copy these archives to releases.dataone.org only for stable builds.

For snapshots, folks can go to dev-testing.dataone.org/maven location, where Hudson automatically puts them.

#5 - 2013-05-31 16:26 - Rob Nahf

- Target version changed from 2013.20-Block.3.2 to 2013.22-Block.3.3
